<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="PictureDrawer" description="Рисует изображения на экране"
	fileName="NPCFacePictureDrawer.jar" className="org.mati.npc.faces.NPCFacePictureDrawer"
	version="9345" time="17.02.2009 16:31:02">

	<Group>Визуальные компоненты</Group>

	<!-- INLINKS -->
	<INLink name="InPicture"
		description="Входящая связь. Служит для передачи изображений компоненту"
		interfaceName="org.mati.npc.components.interfaces.PictureListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InFaceComponent" description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>

	<!-- ATTRIBUTES -->
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X (относительная)"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y (относительная)"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота" type="java.lang.Integer"
		defaultValue="600"
		nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaultValue="800"
		nullable="false">
	</Attribute>

</ClassComponent>
